Bug 1108902 - rhds91 389-ds-base-1.2.11.15-31.el6_5.x86_64 crash in db4 __dbc_get_pp env = 0x0 ?
Summary: rhds91 389-ds-base-1.2.11.15-31.el6_5.x86_64 crash in db4 __dbc_get_pp env =...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1070583
Blocks: 1113520
TreeView+ depends on / blocked
 
Reported: 2014-06-12 19:25 UTC by Noriko Hosoi
Modified: 2018-12-04 17:55 UTC (History)
8 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1070583
Environment:
Last Closed: 2015-03-05 09:35:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Comment 2 Amita Sharma 2014-11-25 09:16:18 UTC
[root@dhcp201-126 export]# /usr/lib64/dirsrv/slapd-M1/ldif2db -s "dc=example,dc=com" -i "/export/testdb.ldif"
importing data ...
[25/Nov/2014:14:39:50 +051800] - Backend Instance: userRoot
[25/Nov/2014:14:39:50 +051800] - WARNING: Import is running with nsslapd-db-private-import-mem on; No other process is allowed to access the database
[25/Nov/2014:14:39:50 +051800] - check_and_set_import_cache: pagesize: 4096, pages: 952380, procpages: 55480
[25/Nov/2014:14:39:50 +051800] - Import allocates 1523808KB import cache.
[25/Nov/2014:14:39:50 +051800] - import userRoot: Beginning import job...
[25/Nov/2014:14:39:50 +051800] - import userRoot: Index buffering enabled with bucket size 100
[25/Nov/2014:14:39:50 +051800] - import userRoot: Processing file "/export/testdb.ldif"
[25/Nov/2014:14:40:10 +051800] - import userRoot: Processed 19956 entries -- average rate 997.8/sec, recent rate 997.8/sec, hit ratio 0%
[25/Nov/2014:14:40:31 +051800] - import userRoot: Processed 39182 entries -- average rate 955.7/sec, recent rate 955.6/sec, hit ratio 100%
[25/Nov/2014:14:40:51 +051800] - import userRoot: Processed 60964 entries -- average rate 999.4/sec, recent rate 1000.2/sec, hit ratio 100%
[25/Nov/2014:14:41:11 +051800] - import userRoot: Processed 80380 entries -- average rate 992.3/sec, recent rate 1030.0/sec, hit ratio 100%
[25/Nov/2014:14:41:31 +051800] - import userRoot: Processed 98993 entries -- average rate 980.1/sec, recent rate 950.7/sec, hit ratio 100%
[25/Nov/2014:14:41:32 +051800] - import userRoot: Finished scanning file "/export/testdb.ldif" (100006 entries)
[25/Nov/2014:14:41:32 +051800] - import userRoot: Workers finished; cleaning up...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Workers cleaned up.
[25/Nov/2014:14:41:33 +051800] - import userRoot: Cleaning up producer thread...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Indexing complete.  Post-processing...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Generating numsubordinates (this may take several minutes to complete)...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Generating numSubordinates complete.
[25/Nov/2014:14:41:33 +051800] - import userRoot: Gathering ancestorid non-leaf IDs...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Finished gathering ancestorid non-leaf IDs.
[25/Nov/2014:14:41:33 +051800] - import userRoot: Creating ancestorid index (new idl)...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Created ancestorid index (new idl).
[25/Nov/2014:14:41:33 +051800] - import userRoot: Flushing caches...
[25/Nov/2014:14:41:33 +051800] - import userRoot: Closing files...
[25/Nov/2014:14:41:39 +051800] - All database threads now stopped
[25/Nov/2014:14:41:39 +051800] - import userRoot: Import complete.  Processed 100006 entries in 109 seconds. (917.49 entries/sec)

[root@dhcp201-126 export]# /usr/lib64/dirsrv/slapd-M1/start-slapd 
[root@dhcp201-126 export]# ldapmodify -D "cn=directory manager" -w Secret123 -p 30100 -x -h localhost << EOF
dn: cn=M1_to_M2,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config
changetype: modify
replace: nsds5beginreplicarefresh
nsds5beginreplicarefresh: start
EOF
modifying entry "cn=M1_to_M2,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config"

[root@dhcp201-126 export]# /usr/lib64/dirsrv/slapd-M1/stop-slapd 
[root@dhcp201-126 export]# 

Server restarted gracefully ::
[root@dhcp201-126 ~]# tail -f /var/log/dirsrv/slapd-M1/errors
[25/Nov/2014:14:42:01 +051800] - SSL alert: 	TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5: enabled, (WEAK CIPHER)
[25/Nov/2014:14:42:01 +051800] - 389-Directory/1.3.3.1 B2014.317.2357 starting up
[25/Nov/2014:14:42:01 +051800] - WARNING: userRoot: entry cache size 3435972B is less than db size 273694720B; We recommend to increase the entry cache size nsslapd-cachememsize.
[25/Nov/2014:14:42:01 +051800] - I'm resizing my cache now...cache was 1560379392 and is now 2621440
[25/Nov/2014:14:42:02 +051800] - slapd started.  Listening on All Interfaces port 30100 for LDAP requests
[25/Nov/2014:14:42:02 +051800] - Listening on All Interfaces port 30101 for LDAPS requests
[25/Nov/2014:14:42:05 +051800] NSMMReplicationPlugin - Beginning total update of replica "agmt="cn=M1_to_M2" (dhcp201-126:30103)".
[25/Nov/2014:14:42:12 +051800] - slapd shutting down - signaling operation threads - op stack size 1 max work q size 1 max work q stack size 1
[25/Nov/2014:14:42:12 +051800] - slapd shutting down - waiting for 29 threads to terminate
[25/Nov/2014:14:42:12 +051800] - slapd shutting down - closing down internal subsystems and plugins

Hence marking bug as VERIFIED.

Comment 4 errata-xmlrpc 2015-03-05 09:35:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.